Help us shape the future of Go! Take the 2026 Go Developer Survey

item

package
v0.41.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Sep 27, 2022 License: MIT Imports: 4 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type PrintServiceEndpointItemRequestBuilder added in v0.12.0

type PrintServiceEndpointItemRequestBuilder struct {
	// contains filtered or unexported fields
}

PrintServiceEndpointItemRequestBuilder provides operations to manage the endpoints property of the microsoft.graph.printService entity.

func NewPrintServiceEndpointItemRequestBuilder added in v0.12.0

NewPrintServiceEndpointItemRequestBuilder instantiates a new PrintServiceEndpointItemRequestBuilder and sets the default values.

func NewPrintServiceEndpointItemRequestBuilderInternal added in v0.12.0

func NewPrintServiceEndpointItemRequestBuilderInternal(pathParameters map[string]string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *PrintServiceEndpointItemRequestBuilder

NewPrintServiceEndpointItemRequestBuilderInternal instantiates a new PrintServiceEndpointItemRequestBuilder and sets the default values.

func (*PrintServiceEndpointItemRequestBuilder) CreateDeleteRequestInformation added in v0.12.0

CreateDeleteRequestInformation delete navigation property endpoints for print

func (*PrintServiceEndpointItemRequestBuilder) CreateDeleteRequestInformationWithRequestConfiguration added in v0.22.0

CreateDeleteRequestInformationWithRequestConfiguration delete navigation property endpoints for print

func (*PrintServiceEndpointItemRequestBuilder) CreateGetRequestInformation added in v0.12.0

CreateGetRequestInformation endpoints that can be used to access the service. Read-only. Nullable.

func (*PrintServiceEndpointItemRequestBuilder) CreateGetRequestInformationWithRequestConfiguration added in v0.22.0

CreateGetRequestInformationWithRequestConfiguration endpoints that can be used to access the service. Read-only. Nullable.

func (*PrintServiceEndpointItemRequestBuilder) CreatePatchRequestInformation added in v0.12.0

CreatePatchRequestInformation update the navigation property endpoints in print

func (*PrintServiceEndpointItemRequestBuilder) CreatePatchRequestInformationWithRequestConfiguration added in v0.22.0

CreatePatchRequestInformationWithRequestConfiguration update the navigation property endpoints in print

func (*PrintServiceEndpointItemRequestBuilder) Delete added in v0.12.0

Delete delete navigation property endpoints for print

func (*PrintServiceEndpointItemRequestBuilder) Get added in v0.12.0

Get endpoints that can be used to access the service. Read-only. Nullable.

type PrintServiceEndpointItemRequestBuilderDeleteRequestConfiguration added in v0.22.0

type PrintServiceEndpointItemRequestBuilderDeleteRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
}

PrintServiceEndpointItemRequestBuilderDeleteRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

type PrintServiceEndpointItemRequestBuilderGetQueryParameters added in v0.12.0

type PrintServiceEndpointItemRequestBuilderGetQueryParameters struct {
	// Expand related entities
	Expand []string `uriparametername:"%24expand"`
	// Select properties to be returned
	Select []string `uriparametername:"%24select"`
}

PrintServiceEndpointItemRequestBuilderGetQueryParameters endpoints that can be used to access the service. Read-only. Nullable.

type PrintServiceEndpointItemRequestBuilderGetRequestConfiguration added in v0.22.0

type PrintServiceEndpointItemRequestBuilderGetRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
	// Request query parameters
	QueryParameters *PrintServiceEndpointItemRequestBuilderGetQueryParameters
}

PrintServiceEndpointItemRequestBuilderGetRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

type PrintServiceEndpointItemRequestBuilderPatchRequestConfiguration added in v0.22.0

type PrintServiceEndpointItemRequestBuilderPatchRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
}

PrintServiceEndpointItemRequestBuilderPatchRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL